<?php
$tipo_semana = 1;
$tipo_mes = 0;

$MESCOMPLETO[1] = 'Enero';
$MESCOMPLETO[2] = 'Febrero';
$MESCOMPLETO[3] = 'Marzo';
$MESCOMPLETO[4] = 'Abril';
$MESCOMPLETO[5] = 'Mayo';
$MESCOMPLETO[6] = 'Junio';
$MESCOMPLETO[7] = 'Julio';
$MESCOMPLETO[8] = 'Agosto';
$MESCOMPLETO[9] = 'Septiembre';
$MESCOMPLETO[10] = 'Octubre';
$MESCOMPLETO[11] = 'Noviembre';
$MESCOMPLETO[12] = 'Diciembre';

$MESABREVIADO[1] = 'Ene';
$MESABREVIADO[2] = 'Feb';
$MESABREVIADO[3] = 'Mar';
$MESABREVIADO[4] = 'Abr';
$MESABREVIADO[5] = 'May';
$MESABREVIADO[6] = 'Jun';
$MESABREVIADO[7] = 'Jul';
$MESABREVIADO[8] = 'Ago';
$MESABREVIADO[9] = 'Sep';
$MESABREVIADO[10] = 'Oct';
$MESABREVIADO[11] = 'Nov';
$MESABREVIADO[12] = 'Dic';

$SEMANACOMPLETA[0] = 'Lunes';
$SEMANACOMPLETA[1] = 'Martes';
$SEMANACOMPLETA[2] = 'Miercoles';
$SEMANACOMPLETA[3] = 'Jueves';
$SEMANACOMPLETA[4] = 'Viernes';
$SEMANACOMPLETA[5] = 'Sabado';
$SEMANACOMPLETA[6] = 'Domingo';

$SEMANAABREVIADA[0] = 'Lun';
$SEMANAABREVIADA[1] = 'Mar';
$SEMANAABREVIADA[2] = 'Mie';
$SEMANAABREVIADA[3] = 'Jue';
$SEMANAABREVIADA[4] = 'Vie';
$SEMANAABREVIADA[5] = 'Sab';
$SEMANAABREVIADA[6] = 'Dom';

////////////////////////////////////
if($tipo_semana == 0){
	$ARRDIASSEMANA = $SEMANACOMPLETA;
}elseif($tipo_semana == 1){
	$ARRDIASSEMANA = $SEMANAABREVIADA;
}
if($tipo_mes == 0){
	$ARRMES = $MESCOMPLETO;
}elseif($tipo_mes == 1){
	$ARRMES = $MESABREVIADO;
}

$mes=$_GET['mes'];
$ano=$_GET['ano'];

if(!$dia) $dia = date(d);
if(!$mes) $mes = date(n);
if(!$ano) $ano = date(Y);

$TotalDiasMes = date(t,mktime(0,0,0,$mes,$dia,$ano));
$DiaSemanaEmpiezaMes = date(w,mktime(0,0,0,$mes,1,$ano))-1;
$DiaSemanaTerminaMes = date(w,mktime(0,0,0,$mes,$TotalDiasMes,$ano));
$EmpiezaMesCalOffset = $DiaSemanaEmpiezaMes;
$TerminaMesCalOffset = 6 - $DiaSemanaTerminaMes;
$TotalDeCeldas = $TotalDiasMes + $DiaSemanaEmpiezaMes + $TerminaMesCalOffset;


if($mes == 1){
	$MesAnterior = 12;
	$MesSiguiente = $mes + 1;
	$AnoAnterior = $ano - 1;
	$AnoSiguiente = $ano;
}elseif($mes == 12){
	$MesAnterior = $mes - 1;
	$MesSiguiente = 1;
	$AnoAnterior = $ano;
	$AnoSiguiente = $ano + 1;
}else{
	$MesAnterior = $mes - 1;
	$MesSiguiente = $mes + 1;
	$AnoAnterior = $ano;
	$AnoSiguiente = $ano;
	$AnoAnteriorAno = $ano - 1;
	$AnoSiguienteAno = $ano + 1;
}

$AnoAnteriorAno = $ano - 1;
$AnoSiguienteAno = $ano + 1;

$mesActual = date(n);
$anoActual = date(Y);
?>
<html>
	<head>
		<title>:: Calendario ::</title>
    	<link rel="shortcut icon" href="include/gispo.ico" type="image/x-icon" />
		<link rel="stylesheet" href="include/stilo.css" />
	  	<script language="javascript" type="text/javascript" src="include/func.js">
	  	</script>
	</head>
	<body>
<?php
echo "<table style=\"font-family:arial;font-size:9px\" bordercolor=navy align=center border=0 cellpadding=1 cellspacing=1>";
echo " <tr>";
echo " <td colspan=10>";
echo " <table border=0 align=center width=\"1%\" style=\"font-family:arial;font-size:9px\">";
echo " <tr>";
echo " <td><a href=\"$PHP_SELF?mes=$mes&ano=$AnoAnteriorAno&destino=".$_GET['destino']."\"><img src=imagenes/antAno.png title=\"A&ntilde;o Anterior\" border=0></a></td>";
echo " <td><a href=\"$PHP_SELF?mes=$MesAnterior&ano=$AnoAnterior&destino=".$_GET['destino']."\"><img src=imagenes/ant.png title=\"Mes Anterior\" border=0></a></td>";
echo " <td colspan=\"1\" align=\"center\" nowrap style=\"font-size:16px\"><b>".$ARRMES[$mes]." - $ano</b></td>";
echo " <td><a href=\"$PHP_SELF?mes=$MesSiguiente&ano=$AnoSiguiente&destino=".$_GET['destino']."\"><img src=imagenes/sig.png title=\"Mes Siguiente\" border=0></a></td>";
echo " <td><a href=\"$PHP_SELF?mes=$mes&ano=$AnoSiguienteAno&destino=".$_GET['destino']."\"><img src=imagenes/sigAno.png title=\"A&ntilde;o Siguiente\" border=0></a></td>";
echo " </tr>";
echo " </table>";
echo " </td>";
echo "</tr>";
echo "<tr>";
for($i=0;$i<7;$i++)
	echo "<td bgcolor=#ccccff align=\"center\"><b>$ARRDIASSEMANA[$i]</b></td>";
echo "</tr>";

for($a=1;$a <= $TotalDeCeldas;$a++){ 
	if(!$b) $b = 0;
	if($b == 7) $b = 0;
	if($b == 0) echo '<tr>';
	if(!$c) $c = 1;
	if($a > $EmpiezaMesCalOffset AND $c <= $TotalDiasMes){
		if($mes<10)
			$pmes="0".$mes;
		else
			$pmes=$mes;
		if($c<10)
			$pdia="0".$c;
		else
			$pdia=$c;
		$fecha=$ano."-".$pmes."-".$pdia;
		if($c == date(d) && $mes == date(m) && $ano == date(Y)){
			echo "<td bgcolor=\"#ffdd88\" align=\"center\"><a href=\"javascript:colocaDia('".$_GET['destino']."','$fecha')\" style=\"color:#000;text-decoration:none;font-size:20px\"><div style=\"width:30px;height:30px\">$c</div></a></td>";
		}elseif($b == 5 OR $b == 6){
			echo "<td bgcolor=#bbbbbb align=\"center\"><a href=\"javascript:colocaDia('".$_GET['destino']."','$fecha')\" style=\"color:#000;text-decoration:none;font-size:20px\"><div style=\"width:30px;height:30px\">$c</div></a></td>";
		}else{
			echo "<td bgcolor=\"#EEEEEE\" align=\"center\"><a href=\"javascript:colocaDia('".$_GET['destino']."','$fecha')\" style=\"color:#000;text-decoration:none;font-size:20px\"><div style=\"width:30px;height:30px\">$c</div></a></td>";
		}
		$c++;
	}else{
		echo "<td> </td>";
	}
	if($b == 6) echo '</tr>';
	$b++;
}
echo "<tr><td align=center colspan=10></a></td></tr>";
echo "<tr><td colspan=10 align=center><a href=\"$PHP_SELF?mes=$mesActual&ano=$anoActual&destino=".$_GET['destino']."\"><img src=imagenes/today.png title=\"Hoy\" border=0></a></td></tr>";
echo "</table>";
?>
	</body>
</html>